﻿using System;

namespace EGRemoteStudio.Log
{
    public class LogMessage
    {
        private readonly string device;
        private readonly string ntwEvent;
        private readonly string ntwPayload;
        private DateTime timeStamp;

        public LogMessage(string device, string ntwEvent, string ntwPayload)
        {
            this.device = device;
            this.ntwEvent = ntwEvent;
            this.ntwPayload = ntwPayload;
            timeStamp = DateTime.Now;
        }

        public string TimeStamp { get { return timeStamp.ToString("HH:mm:ss"); } }

        public string Device { get { return device; } }

        public string Event { get { return ntwEvent; } }

        public string Payload { get { return ntwPayload; } }
    }
}
